Send a membership card for a user

Sends a membership card via the email on file for the user. This method allows configuration of which card types to send.

This endpoint can also be used to create and update user specific data that will be used to generate the card. If an email supplied is not found, a new user will be created with the additional data supplied.

Headers
  • X-Api-Version
    Type: string

    Optional API version for this request. When omitted, the server uses the default version. This documentation describes version 2026-02-01.

Body
required
application/json
  • user
    Type: object
    required

    User specific data that will stored on the user profile and used to generate the card. If not supplied during this request, the data stored on the user profile will be used.

  • card_types
    Type: array string[]enum
    values
    • apple
    • google
    • pdf
Responses
  • application/json
  • application/json
  • application/json
Request Example for post/membership_cards/send
curl https://api.getcommunal.com/api/membership_cards/send \
  --request POST \
  --header 'X-Api-Version: 2026-02-01' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "card_types": [
    "apple"
  ],
  "user": {
    "unique_identifier_key": "",
    "data": [
      null
    ]
  }
}'
{
  "status": true,
  "message": "string",
  "request_hash": "string"
}